import java.util.*;

public class AABBDemo2 implements GameEngine
{
	private PhysicsEngine2 phys;
	
	private int ROWS = 15, COLUMNS = 10, X_SPACE = 20, Y_SPACE = 20, HEIGHT = 10, V_INIT = 800,
		WIDTH = 10, MASS = 100000, GRAVITY = 1000, X_OFFSET = 300, Y_OFFSET = 300;
	
	public AABBDemo2()
	{
		phys = new PhysicsEngine2();
		AABB[] boxes = new AABB[ROWS*COLUMNS];
		
		
		for (int i = 0; i < ROWS; i++)
		{
			for (int j = 0; j < COLUMNS; j++)
			{
				boxes[(i*COLUMNS) + j] = new AABB(MASS,WIDTH,HEIGHT,
					new Vector2D(j*X_SPACE+X_OFFSET,i*Y_SPACE+Y_OFFSET));
				getEnv().addObject(boxes[(i*COLUMNS) + j]);
				boxes[(i*COLUMNS) + j].setAccel(new Vector2D(0,GRAVITY));
				boxes[(i*COLUMNS) + j].setVelocity(new Vector2D(V_INIT*Math.sin(i),V_INIT*Math.cos(j)));
			}
		}
		
		AABB b = new AABB(1,600,100,new Vector2D(400,700));		//border boxes
		b.setStatic(true);
		AABB c = new AABB(1,600,100,new Vector2D(400,100));
		c.setStatic(true);
		AABB d = new AABB(1,100,600,new Vector2D(100,400));
		d.setStatic(true);
		AABB e = new AABB(1,100,600,new Vector2D(700,400));
		e.setStatic(true);
		getEnv().addObject(b);
		getEnv().addObject(c);
		getEnv().addObject(d);
		getEnv().addObject(e);
	}
	
	public void act()
	{
		phys.act();
	}
	
	public PhysicsEnv getEnv()
	{
		return phys.getEnv();
	}
}